export default {
  state: {
    companyConfig: null
  },
  mutations: {
    setCompanyConfig(state, configInfo) {
      state.companyConfig = configInfo;
    },
    clearCompanyConfig(state) {
      state.companyConfig = null;
    }
  },
  actions: {
    setCompanyConfig({ commit }, data) {
      commit('setCompanyConfig', data);
    },
    clearCompanyConfig({ commit }) {
      commit('clearCompanyConfig');
    }
  }
}